Instance Pool Operations - Get

Gets a management operation on a instance pool.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/instancePools/{instancePoolName}/operations/{operationId}?api-version=2025-01-01

URI Parameters

Name In Required Type Description
instancePoolName
path True

string

The name of the instance pool to be retrieved.

operationId
path True

string (uuid)

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

InstancePoolOperation

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Gets the instance pool management operation

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/resource-group/providers/Microsoft.Sql/instancePools/test-instance-pool/operations/c218773b-203f-4c7a-b174-6bd71fe20f72?api-version=2025-01-01

Sample response

{
  "name": "c218773b-203f-4c7a-b174-6bd71fe20f72",
  "type": "Microsoft.Sql/instancePools/operations",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/resource-group/providers/Microsoft.Sql/instancePools/test-instance-pool",
  "properties": {
    "instancePoolName": "test-instance-pool",
    "isCancellable": true,
    "operation": "UpsertInstancePoolAsync",
    "operationFriendlyName": "UPDATE INSTANCE POOL",
    "percentComplete": 100,
    "startTime": "2024-04-22T14:46:00.423Z",
    "state": "Succeeded"
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ErrorType

Error type (e.g. None, User).

InstancePoolOperation

A instance pool operation.

ManagementOperationState

The operation state.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ErrorType

Error type (e.g. None, User).

Value Description
None

None

User

User

InstancePoolOperation

A instance pool operation.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.description

string

The operation description.

properties.errorCode

integer (int32)

The operation error code.

properties.errorDescription

string

The operation error description.

properties.errorSeverity

integer (int32)

The operation error severity.

properties.errorType

ErrorType

Error type (e.g. None, User).

properties.estimatedCompletionTime

string (date-time)

The estimated completion time of the operation.

properties.instancePoolName

string

The name of the instance pool the operation is being performed on.

properties.isCancellable

boolean

Whether the operation can be cancelled.

properties.operation

string

The name of operation.

properties.operationFriendlyName

string

The friendly name of operation.

properties.percentComplete

integer (int32)

The percentage of the operation completed.

properties.startTime

string (date-time)

The operation start time.

properties.state

ManagementOperationState

The operation state.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ManagementOperationState

The operation state.

Value Description
Pending

Pending

InProgress

InProgress

Succeeded

Succeeded

Failed

Failed

CancelInProgress

CancelInProgress

Cancelled

Cancelled

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.